Subject: Re: linux-next: build failure after merge of the amdgpu tree

From: Christoph Hellwig <[email-masked]>
Date: Mon, 11 Oct 2021 09:43:16 +0200

On Mon, Oct 11, 2021 at 07:39:52AM +0000, Simon Ser wrote:
> I don't understand. Can you elaborate why you think this commit is
> "utter crap"?

A kernel driver has absolutely no business making decissions based
on current->comm, which can be changed by any userspace process.  This
is kernel programming 101.

Independent of that a check for a specific program as the callers makes
no sense whatsoever as a given program and change over time.  This is
not even something kernel specific but something that ever software
engineer should do.

> I'd also appreciate if you could be a bit less aggressive. There's
> nothing "obvious" about this from my point of view.

I'm not agressive.  I'm just really disappointed by the amoubt of crap
that gets shovelled into the kernel and even more disappointed by the
abslutely lack of knowledge of some of the contributors.